# Class ToFilterColumnNamesPipe

#### Implements

- PipeTransform

- Defined in packages/angular/material/table-system/src/lib/table-filter/to-filter-column-names.pipe.ts:10

#####
Index

### Constructors

constructor

### Methods

transform

## Constructors

### constructor

- new ToFilterColumnNamesPipe(): ToFilterColumnNamesPipe

- #### Returns ToFilterColumnNamesPipe

## Methods

### transform

- transform(columns): string[]

- #### Parameters

  - columns: string[]

  #### Returns string[]

  Implementation of PipeTransform.transform

  - Defined in packages/angular/material/table-system/src/lib/table-filter/to-filter-column-names.pipe.ts:12